function init (hero) {
    hero.setName("Angel/\u00A76\u00A7lUHP\u00A7r");
    hero.setCosmic();
    hero.setVersion("Supernatural");
    hero.setTier(6);

    hero.setChestplate("Physiology");

    hero.addPowers("uhp:angel_physiology");
	
    hero.addAttribute("SPRINT_SPEED", 0.80, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 13.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", -4.0, 0);

    hero.addKeyBind("TELEPORT", "Teleport", 1);
    hero.addKeyBind("INTIMIDATE", "Intimidate", 2);
    hero.addKeyBind("INVISIBILITY", "Fly", 3);

    hero.setHasProperty(hasProperty);
	
    hero.addAttributeProfile("INVISIBILITY", invisibilityProfile);
    hero.addAttributeProfile("INTIMIDATE", intimidateProfile);
    hero.setAttributeProfile(getAttributeProfile);
	
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
	
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:invisible") ? "INVISIBILITY" : null;

}

function invisibilityProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 2.5, 0);
	profile.addAttribute("WEAPON_DAMAGE", -4.0, 0);
}

function intimidateProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 14.5, 0);
	profile.addAttribute("WEAPON_DAMAGE", -6.0, 0);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:gliding":
        return entity.getData("fiskheroes:invisible");
    case "fiskheroes:invisibility":
        return !entity.getData("fiskheroes:dyn/nanites");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
	case "INVISIBILITY":
        return !entity.getData("fiskheroes:dyn/nanite_cooldown");

    default:
        return true;
    }
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}